View Issue Details

IDProjectCategoryView StatusLast Update
0006613libextractorpluginspublic2020-10-29 21:30
Reporterbeberking Assigned ToChristian Grothoff  
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.10 
Fixed in Version1.11 
Summary0006613: FAIL: test_exiv2
DescriptionHi Christian,

The test for exiv2 plugin recently failed (apparently since exiv2 0.27.3) with the following message:

Cheers,
Bertrand

FAIL: test_exiv2
================

Warning: Directory Pentax, entry 0x0004: Data area exceeds data buffer, ignoring it.
Got additional meta data of type 38 and format 1 with value `28deg 8' 18"' from plugin `exiv2'
Got additional meta data of type 40 and format 1 with value `14deg 14' 22"' from plugin `exiv2'
Did not get expected meta data of type 38 and format 1 with value `28deg 8' 17.585" ' from plugin `exiv2'
Did not get expected meta data of type 40 and format 1 with value `14deg 14' 21.713" ' from plugin `exiv2'
FAIL test_exiv2 (exit status: 1)
TagsNo tags attached.

Activities

Christian Grothoff

2020-10-21 10:18

manager   ~0017030

Great :-(. exiv seems to have introduced rounding (intentionally or unintentionally?). "fixing" this by going for the new number will mean we break with older exiv versions. I guess I'll have to bite the bullet and support multiple/approximate matching here :-(.

Christian Grothoff

2020-10-29 21:30

manager   ~0017063

Fixed test in Git.

Issue History

Date Modified Username Field Change
2020-09-29 21:16 beberking New Issue
2020-10-21 10:18 Christian Grothoff Note Added: 0017030
2020-10-21 10:18 Christian Grothoff Severity major => trivial
2020-10-29 21:30 Christian Grothoff Assigned To => Christian Grothoff
2020-10-29 21:30 Christian Grothoff Status new => resolved
2020-10-29 21:30 Christian Grothoff Resolution open => fixed
2020-10-29 21:30 Christian Grothoff Fixed in Version => 1.11
2020-10-29 21:30 Christian Grothoff Note Added: 0017063